rocr-runtime (7.2.3+dfsg-0ubuntu1) stonking; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.2.3
  * d/{salsa-ci.yml, ci/}: update salsa-ci for ubuntu
  * d/watch: update to point rocm-systems mono repo
  * d/patches: merge with ubuntu patches
  * d/p/0017-enable-building-rocrtst-as-part-of-rocr.patch: refresh for new CMakeLists
  * d/not-installed: add hsa-rocr/LICENSE.md
  * d/control: fix lintian, redundant Rules-Requires-Root: no

  [ Mario Limonciello (AMD) ]
  * Refresh patches

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 19 May 2026 22:45:51 +0200

rocr-runtime (7.1.1+dfsg-0ubuntu1) stonking; urgency=medium

  * New upstream version 7.1.1 (LP: #2150430)
  * d/rules: harden the symbols check with DPKG_GENSYMBOLS_CHECK_LEVEL

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 27 Apr 2026 12:20:02 +0200

rocr-runtime (7.1.0+dfsg-0ubuntu9) resolute; urgency=medium

  * Standardize test execution by adding a run-tests binary (LP: #2148379)
    Make it consistent with the rest of the ROCm packages. Files touched:
    - d/bin/run-tests: introduce the new binary
    - d/libhsa-runtime64-tests.install: add run-tests
    - d/tests/control: update autopkgtest to run the run-tests binary

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Wed, 15 Apr 2026 10:00:07 +0200

rocr-runtime (7.1.0+dfsg-0ubuntu8) resolute; urgency=medium

  * Add patches enabling building of rocrtst test suites (LP: #2147200)
    - d/p/0015-update-cmakelists-to-find_packange-instead-hardcoded.patch: add
    - d/p/0016-update-hwloc-api-change-in-tests.patch: reflect upstream API
    - d/p/0017-enable-building-rocrtst-as-part-of-rocr.patch: add patch
    - d/p/0018-tests-data-path-via-env.patch: use ENV for tests kernels
    - d/p/0019-fix-test-verbosity-0.patch: don't print headers
  * debian: add new libhsa-runtime64-tests bin package (LP: #2147200)
    d/{rules, control, libhsa-runtime64-tests.install}:
    - Build upstream rocrtst test suites and package them into
      libhsa-runtime64-tests along with GPU kernel bins (.hsaco) files
      per ISA needed for the tests.
    - Update build depends with needed packages only for amd64 archs
      because tests depended on libamd-smi-dev which is not available
      for other archs.
    - Override dh_strip and dh_dwz for libhsa-runtime64-tests as we
      package GPU kernel binaries (.hsaco) that are not valid ELF files
      nor contain DWARF debug info
  * d/tests/control: add autopkgtest running libhsa-runtime64-tests
    (LP: #2147200)

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Mon, 06 Apr 2026 15:31:36 +0200

rocr-runtime (7.1.0+dfsg-0ubuntu7) resolute; urgency=medium

  * d/p/0014-fix-shutdown-double-free.patch: reorder DestroyAgents() in
    Runtime::Unload() to fix "Failed to free ptr" error during hsa_shutdown.
    (LP: #2142805)

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 25 Mar 2026 15:06:24 -0300

rocr-runtime (7.1.0+dfsg-0ubuntu6) resolute; urgency=medium

  * d/control: add ppc64el support back (LP: #2138659)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 26 Jan 2026 17:57:57 +0100

rocr-runtime (7.1.0+dfsg-0ubuntu5) resolute; urgency=medium

  * New upstream version 7.1.0 to ubuntu (LP: #2138659)
  * d/control: change build-depends to upstream llvm
  * d/rules: remove custom rocm path for CMAKE_PREFIX_PATH
  * d/control: remove ppc64el and riscv from architectures as they are not
    officially supported yet
  * d/p/0013-fix-arm64-x86-intrinsics: guard x86 specific fence intrinsics

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jan 2026 11:02:35 +0100

rocr-runtime (7.1.0+dfsg-0ubuntu4) resolute; urgency=medium

  * d/patches/{0002,0006}: refresh patches indexes
  * d/p/series: Drop outdated patches for 7.1.0
    - 0011-remove-gfx940-and-gfx941-support.patch
    - 0012-strip-x86-intrinsics-from-xdna-support.patch
    - 0013-add-arm-and-ppc-memory-barriers.patch
  * d/p/0011-hsakmt-bump-vgpr-count-for-gfx1151.patch: add
    to fix incorrect VGPR count for gfx1151 in libhsakmt1
  * d/p/0012-hsakmt-expose-and-use-cwsr-and-control-stack-sizes.patch
    - Add patch to use KFD CWSR/CtlStack sizes.

  * changes below was added on top of 6.4.3+dfsg-1~exp2 and rebased to 7.1.0
    but keeping them here in the changelog to have more historical knowledge
    about the work that has been done before.
    - d/rules: fix llvm rocm missing path
    - d/control: Rename Build-Depends to llvm-toolchain-rocm fork
    - d/control: Add clang-format-rocm and clang-tidy-rocm as required
      build dependencies for the new toolchain
    - d/control: Remove unused mlir-20 dependencies
    - d/control: Update Maintainer field for the Ubuntu archive upload

 -- Igor Luppi <igor.luppi@canonical.com>  Tue, 16 Dec 2025 13:31:26 -0300

rocr-runtime (7.1.0+dfsg-0ubuntu3) resolute; urgency=medium

  * d/control: update build-deps to use the 7.1 AMD compiler

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 25 Nov 2025 09:59:34 -0300

rocr-runtime (7.1.0+dfsg-0ubuntu2) resolute; urgency=medium

  * d/p/0009-fix-missing-symbols.patch, d/libhsakmt1.symbols: add
    hsaKmtModelEnabled to the list

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 19 Nov 2025 13:23:34 +0000

rocr-runtime (7.1.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0+dfsg
  * d/copyright: remove mention of
    runtime/hsa-runtime/hsa-backward-compat.cmake
  * d/{libhsa-runtime64-1, libhsakmt1}.symbols: update symbols for ROCm 7.1.0
  * Refresh patches:
    - d/p/0001-link-to-drm_amdgpu.patch
    - d/p/0007-shared-libhsakmt.patch

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Tue, 04 Nov 2025 15:14:28 +0100

rocr-runtime (6.4.3+dfsg-4) unstable; urgency=medium

  * Re-introduces Breaks for libamdhip64-5, rocm-opencl-icd.
    This were erroneously removed. Details of the breakage are documented
    in #1118618.

 -- Christian Kastner <ckk@debian.org>  Thu, 06 Nov 2025 20:18:43 +0100

rocr-runtime (6.4.3+dfsg-3) unstable; urgency=medium

  * Remove Breaks libamdhip64-5 and rocm-opencl-icd annotations from
    libhsa-runtime64-1 until the libamdhip64-5 to libamdhip64-6
    transition has completed (Closes: #1118939)

 -- Cordell Bloor <cgmb@debian.org>  Sat, 25 Oct 2025 11:54:22 -0600

rocr-runtime (6.4.3+dfsg-2) unstable; urgency=medium

  * Add d/p/0012-strip-x86-intrinsics-from-xdna-support.patch and
    d/p/0013-add-arm-and-ppc-memory-barriers.patch to fix FTBFS on
    arm64 and ppc64el (Closes: #1118633)
  * Add Breaks libamdhip64-5 and rocm-opencl-icd annotations to
    libhsa-runtime64-1 as the introduction of support for generic
    ISAs has broken key assumptions in the ROCm Common Language Runtime.

 -- Cordell Bloor <cgmb@debian.org>  Sat, 25 Oct 2025 03:21:31 -0600

rocr-runtime (6.4.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * Update from LLVM 20 to LLVM 21
  * Remove unnecessary LLVM MLIR packages from B-D
  * Add riscv64 to build architectures
  * Update d/gbp.conf to follow DEP-14
  * Drop inactive maintainers from uploaders
  * Fix CMake configure flags that were dropped by mistake in 6.4.3+dfsg-1~exp1
  * Add d/p/0011-remove-gfx940-and-gfx941-support.patch to remove gfx940 and
    gfx941 build targets. These architectures were never used for production
    hardware and support has been dropped from LLVM.

 -- Cordell Bloor <cgmb@debian.org>  Fri, 17 Oct 2025 12:18:15 -0600

rocr-runtime (6.4.3+dfsg-1~exp2) experimental; urgency=medium

  * Add d/p/0009-fix-missing-symbols.patch to fix the missing
    symbols hsaKmtRegisterGraphicsHandleToNodesExt and
    hsaKmtCreateQueueExt in libhsakmt1.
  * Add d/p/0010-fix-missing-stdint.h.patch to fix build with
    GCC 15 (Closes: #1097800)

 -- Cordell Bloor <cgmb@debian.org>  Fri, 12 Sep 2025 20:43:52 -0600

rocr-runtime (6.4.3+dfsg-1~exp1) experimental; urgency=medium

  [ Cordell Bloor ]
  * New upstream version 6.4.3+dfsg
    * src:rocr-runtime has subsumed src:roct-thunk-interface
    * libhsakmt1 and libhsakmt-dev are now produced by
      src:rocr-runtime package build
    * Updated symbols, refreshed patches for new upstream version,
      and copied applicable patches from src:roct-thunk-interface
  * Update Build-Depends from clang-17 to clang-20
  * Add libnuma-dev to Build-Depends
  * Update standards version to 4.7.2
    * No changes required

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Wed, 27 Aug 2025 17:06:07 -0600

rocr-runtime (6.1.2-3) unstable; urgency=medium

  * Limit architectures to amd64 arm64 ppc64el
  * Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Feb 2025 23:06:11 -0600

rocr-runtime (6.1.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on arm64, ppc64el.

 -- Christian Kastner <ckk@debian.org>  Fri, 18 Oct 2024 20:28:38 +0200

rocr-runtime (6.1.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Kastner <ckk@debian.org>  Thu, 17 Oct 2024 16:40:21 +0200

rocr-runtime (6.1.2-1~exp1) experimental; urgency=medium

  [ Xuanteng Huang ]
  * New upstream version 6.1.2
  * Add newly introduced public symbols
  * Refresh patches
  * Add myself to Uploaders

  [ Christian Kastner ]
  * Add myself to Uploaders

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Mon, 26 Aug 2024 21:29:48 +0800

rocr-runtime (5.7.1-3) unstable; urgency=medium

  [ Cordell Bloor ]
  * d/control: restrict build to 64-bit architectures

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: same (Closes: #1078913)

  [ Étienne Mollier ]
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 21 Aug 2024 13:34:47 +0200

rocr-runtime (5.7.1-2) unstable; urgency=medium

  * Migrate to unstable.

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 18 Mar 2024 18:46:07 -0600

rocr-runtime (5.7.1-2~exp1) experimental; urgency=medium

  * Add d/p/0003-expand-endian-detection.patch to fix arm64 and ppc64el
    endianness detection logic.
  * Add d/p/0006-initialize-chip-revision.patch to fix failing assertions
    on Rembrandt hardware.
  * Add d/gbp.conf to ensure use of pristine-tar.

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 17 Mar 2024 23:51:29 -0600

rocr-runtime (5.7.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * d/control: update B-D from pkg-config to pkgconf
  * d/p/0004-extend-isa-compatibility-check.patch: fix IsVersionCompatible
    results for gfx1012. The gfx1012 ISA is exactly equivalent to gfx1011.
  * Upstream version 5.7.1 includes hsa_amd_memory_async_copy_on_engine
    (Closes: #1022871).

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 22 Feb 2024 21:19:35 -0700

rocr-runtime (5.7.1-1~exp2) experimental; urgency=medium

  * Add patch to link to drm_amdgpu to fix undefined symbols.
  * Fix missing paths in exported hsa-runtime64 CMake targets.
  * d/rules: cleanup unnecessary options

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 09 Jan 2024 02:43:41 -0700

rocr-runtime (5.7.1-1~exp1) experimental; urgency=medium

  [ Cordell Bloor ]
  * New upstream version 5.7.1.
  * Update Build-Depends for clang-17.
  * Update upstream URL.

  [ Mo Zhou ]
  * Add the missing B-D pkg-config to fix FTBFS.
  * Upload to experimental.

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 07 Jan 2024 18:13:42 -0700

rocr-runtime (5.2.3-6) unstable; urgency=medium

  * Add self to uploaders.
  * Add d/p/0005-disable-xnack-query-print.patch to disable message:
      KFD does not support xnack mode query.
      ROCr must assume xnack is disabled.
    (Closes: #1056170)

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 24 Nov 2023 14:36:38 -0700

rocr-runtime (5.2.3-5) unstable; urgency=medium

  * Team upload.

  * d/p/0004-extend-isa-compatibility-check.patch: fix assertion when
    gfx906 falls back to gfx900.

 -- Cordell Bloor <cgmb@slerp.xyz>  Sat, 29 Jul 2023 15:41:52 -0600

rocr-runtime (5.2.3-4) unstable; urgency=medium

  [ Cordell Bloor ]
  * d/p/0004-extend-isa-compatibility-check.patch: cosmetic update.
    This is a superficial update to the variable naming for clarity. There
    are no functional changes to the program behaviour.

  [ Étienne Mollier ]
  * Migrate ISA compatibility improvements to unstable.
    Thanks to Cordell Bloor

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Jul 2023 20:57:23 +0200

rocr-runtime (5.2.3-4~exp1) experimental; urgency=medium

  * Team upload.

  * Improve ISA compatibility checks to enable loading gfx900, gfx1010 and
    gfx1030 kernels on other compatible hardware.
  * d/copyright: correct my email address

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 25 May 2023 17:08:01 -0600

rocr-runtime (5.2.3-3) unstable; urgency=medium

  * Team upload.

  * add 0003-fix-static-initialization-order.patch
    to prevent crash in hsa_init (Closes: #1031089)
  * update d/copyright
  * d/control: update standards version

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 19 Feb 2023 03:34:29 -0700

rocr-runtime (5.2.3-2) unstable; urgency=medium

  * 0002-remove-libhsa-amd-aqlprofile64.so-loading.patch: add;
    cancel noise caused by missing non-free library in build logs.
    Thanks to Cordell Bloor (Closes: #1024791)

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 11:49:05 +0100

rocr-runtime (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.
  * d/control: bump build dependency on rocm-device-libs to >=5.2.
  * d/control: bump build dependencies to llvm 15.
  * d/control: adjust to new llvm packages layout.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Oct 2022 19:16:28 +0200

rocr-runtime (5.2.3-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields.  (routine-update)
  * d/control: add myself to uploaders.
  * d/control: bump versioned build-dependency libhsakmt-dev to 5.2.
  * d/libhsa-runtime*.install: update installation paths; libraries are now
    located in a multiarch friendly location.
  * d/copyright: remove redundant glob pattern.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Sep 2022 21:58:59 +0200

rocr-runtime (5.1.0-2) unstable; urgency=medium

  * Disable IMAGE_SUPPORT for non-amd64 architectures.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 10:26:29 -0400

rocr-runtime (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Bump version requirement of ROCm B-D to (>= 5.1.0~).

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Apr 2022 12:42:34 -0400

rocr-runtime (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0
  * patched cmake to find devlibs
  * Adapted bitcode dir to /usr/lib/triple
  * Update LLVM B-D to version 14
  * Fixed typo in d/control

  [ Mo Zhou ]
  * Add requirement (>= 5.0.0~) for B-D libhsakmt-dev and rocm-device-libs.
  * Don't install the duplicated license file.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 14 Feb 2022 16:24:34 -0500

rocr-runtime (4.5.2-1) experimental; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 4.5.2
  * Added "Build-Depends-Package" in debian/*.symbols
  * Passed the hardening flag in debian/rules
  * Removed dropped files in debian/copyright
  * Debian standards 4.4.1 --> 4.6.0
  * Added myself to uploaders
  * propagated soname rollback to symbol
  * Remove uupdate from d/watch
  * Explicitly remove temporary cmake building directory for object files.

  [ Mo Zhou ]
  * Add the d/watch file.
  * Add the missing Clang-13 and LLVM-13 build dependencies.
  * Add the missing B-D: xxd and rocm-device-libs.
  * d/rules: [CMake] Specify BITECODE_DIR variable.
  * Add missing B-D on lld-13.
  * Update maintainer address to debian-ai@l.d.o
  * Refresh copyright with cme/manual fix.
  * Apply wrap-and-sort.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 03 Feb 2022 20:01:52 -0500

rocr-runtime (3.5.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #960981)

  [ Mo Zhou ]
  * Initial packaging.

  [ Norbert Preining ]
  * Update to 3.5.0.

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Jun 2020 12:49:06 +0900
